# Weekly leaderboard

> The weekly launch cohort in the same order, and with the same public bulb counts, as the home page and /launches.

Canonical: https://www.listbulb.com/docs/api/endpoints/weekly-leaderboard
Last updated: 2026-11-22

`GET /api/v1/leaderboard`

## Parameters

| Name | Location | Required | Detail |
| --- | --- | --- | --- |
| `week` | Query | Optional | ISO launch week such as 2026-W45. Defaults to the current week. |
| `limit` | Query | Optional | Integer from 1–25. Defaults to 10. |

## Example

```bash
curl "https://www.listbulb.com/api/v1/leaderboard?limit=5"
```

## Returns

`200 { data: { week, currentWeek, phase, totalInWeek, items: [{ position, bulbCount, slug, name, … }] }, meta }.`

## Errors

- `400 INVALID_QUERY`
- `400 INVALID_WEEK`
- `429 RATE_LIMITED`

## Related
- [All REST API endpoints](https://www.listbulb.com/docs/api/endpoints)
